RTEMS: ALT_SYSMGR_PINMUX_s Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ALT_SYSMGR_PINMUX_s Struct Reference

## Data Fields
volatile ALT_SYSMGR_PINMUX_EMACIO0_t | EMACIO0
volatile ALT_SYSMGR_PINMUX_EMACIO1_t | EMACIO1
volatile ALT_SYSMGR_PINMUX_EMACIO2_t | EMACIO2
volatile ALT_SYSMGR_PINMUX_EMACIO3_t | EMACIO3
volatile ALT_SYSMGR_PINMUX_EMACIO4_t | EMACIO4
volatile ALT_SYSMGR_PINMUX_EMACIO5_t | EMACIO5
volatile ALT_SYSMGR_PINMUX_EMACIO6_t | EMACIO6
volatile ALT_SYSMGR_PINMUX_EMACIO7_t | EMACIO7
volatile ALT_SYSMGR_PINMUX_EMACIO8_t | EMACIO8
volatile ALT_SYSMGR_PINMUX_EMACIO9_t | EMACIO9
volatile ALT_SYSMGR_PINMUX_EMACIO10_t | EMACIO10
volatile ALT_SYSMGR_PINMUX_EMACIO11_t | EMACIO11
volatile ALT_SYSMGR_PINMUX_EMACIO12_t | EMACIO12
volatile ALT_SYSMGR_PINMUX_EMACIO13_t | EMACIO13
volatile ALT_SYSMGR_PINMUX_EMACIO14_t | EMACIO14
volatile ALT_SYSMGR_PINMUX_EMACIO15_t | EMACIO15
volatile ALT_SYSMGR_PINMUX_EMACIO16_t | EMACIO16
volatile ALT_SYSMGR_PINMUX_EMACIO17_t | EMACIO17
volatile ALT_SYSMGR_PINMUX_EMACIO18_t | EMACIO18
volatile ALT_SYSMGR_PINMUX_EMACIO19_t | EMACIO19
volatile ALT_SYSMGR_PINMUX_FLSHIO0_t | FLASHIO0
volatile ALT_SYSMGR_PINMUX_FLSHIO1_t | FLASHIO1
volatile ALT_SYSMGR_PINMUX_FLSHIO2_t | FLASHIO2
volatile ALT_SYSMGR_PINMUX_FLSHIO3_t | FLASHIO3
volatile ALT_SYSMGR_PINMUX_FLSHIO4_t | FLASHIO4
volatile ALT_SYSMGR_PINMUX_FLSHIO5_t | FLASHIO5
volatile ALT_SYSMGR_PINMUX_FLSHIO6_t | FLASHIO6
volatile ALT_SYSMGR_PINMUX_FLSHIO7_t | FLASHIO7
volatile ALT_SYSMGR_PINMUX_FLSHIO8_t | FLASHIO8
volatile ALT_SYSMGR_PINMUX_FLSHIO9_t | FLASHIO9
volatile ALT_SYSMGR_PINMUX_FLSHIO10_t | FLASHIO10
volatile ALT_SYSMGR_PINMUX_FLSHIO11_t | FLASHIO11
volatile ALT_SYSMGR_PINMUX_GENERALIO0_t | GENERALIO0
volatile ALT_SYSMGR_PINMUX_GENERALIO1_t | GENERALIO1
volatile ALT_SYSMGR_PINMUX_GENERALIO2_t | GENERALIO2
volatile ALT_SYSMGR_PINMUX_GENERALIO3_t | GENERALIO3
volatile ALT_SYSMGR_PINMUX_GENERALIO4_t | GENERALIO4
volatile ALT_SYSMGR_PINMUX_GENERALIO5_t | GENERALIO5
volatile ALT_SYSMGR_PINMUX_GENERALIO6_t | GENERALIO6
volatile ALT_SYSMGR_PINMUX_GENERALIO7_t | GENERALIO7
volatile ALT_SYSMGR_PINMUX_GENERALIO8_t | GENERALIO8
volatile ALT_SYSMGR_PINMUX_GENERALIO9_t | GENERALIO9
volatile ALT_SYSMGR_PINMUX_GENERALIO10_t | GENERALIO10
volatile ALT_SYSMGR_PINMUX_GENERALIO11_t | GENERALIO11
volatile ALT_SYSMGR_PINMUX_GENERALIO12_t | GENERALIO12
volatile ALT_SYSMGR_PINMUX_GENERALIO13_t | GENERALIO13
volatile ALT_SYSMGR_PINMUX_GENERALIO14_t | GENERALIO14
volatile ALT_SYSMGR_PINMUX_GENERALIO15_t | GENERALIO15
volatile ALT_SYSMGR_PINMUX_GENERALIO16_t | GENERALIO16
volatile ALT_SYSMGR_PINMUX_GENERALIO17_t | GENERALIO17
volatile ALT_SYSMGR_PINMUX_GENERALIO18_t | GENERALIO18
volatile ALT_SYSMGR_PINMUX_GENERALIO19_t | GENERALIO19
volatile ALT_SYSMGR_PINMUX_GENERALIO20_t | GENERALIO20
volatile ALT_SYSMGR_PINMUX_GENERALIO21_t | GENERALIO21
volatile ALT_SYSMGR_PINMUX_GENERALIO22_t | GENERALIO22
volatile ALT_SYSMGR_PINMUX_GENERALIO23_t | GENERALIO23
volatile ALT_SYSMGR_PINMUX_GENERALIO24_t | GENERALIO24
volatile ALT_SYSMGR_PINMUX_GENERALIO25_t | GENERALIO25
volatile ALT_SYSMGR_PINMUX_GENERALIO26_t | GENERALIO26
volatile ALT_SYSMGR_PINMUX_GENERALIO27_t | GENERALIO27
volatile ALT_SYSMGR_PINMUX_GENERALIO28_t | GENERALIO28
volatile ALT_SYSMGR_PINMUX_GENERALIO29_t | GENERALIO29
volatile ALT_SYSMGR_PINMUX_GENERALIO30_t | GENERALIO30
volatile ALT_SYSMGR_PINMUX_GENERALIO31_t | GENERALIO31
volatile ALT_SYSMGR_PINMUX_MIXED1IO0_t | MIXED1IO0
volatile ALT_SYSMGR_PINMUX_MIXED1IO1_t | MIXED1IO1
volatile ALT_SYSMGR_PINMUX_MIXED1IO2_t | MIXED1IO2
volatile ALT_SYSMGR_PINMUX_MIXED1IO3_t | MIXED1IO3
volatile ALT_SYSMGR_PINMUX_MIXED1IO4_t | MIXED1IO4
volatile ALT_SYSMGR_PINMUX_MIXED1IO5_t | MIXED1IO5
volatile ALT_SYSMGR_PINMUX_MIXED1IO6_t | MIXED1IO6
volatile ALT_SYSMGR_PINMUX_MIXED1IO7_t | MIXED1IO7
volatile ALT_SYSMGR_PINMUX_MIXED1IO8_t | MIXED1IO8
volatile ALT_SYSMGR_PINMUX_MIXED1IO9_t | MIXED1IO9
volatile ALT_SYSMGR_PINMUX_MIXED1IO10_t | MIXED1IO10
volatile ALT_SYSMGR_PINMUX_MIXED1IO11_t | MIXED1IO11
volatile ALT_SYSMGR_PINMUX_MIXED1IO12_t | MIXED1IO12
volatile ALT_SYSMGR_PINMUX_MIXED1IO13_t | MIXED1IO13
volatile ALT_SYSMGR_PINMUX_MIXED1IO14_t | MIXED1IO14
volatile ALT_SYSMGR_PINMUX_MIXED1IO15_t | MIXED1IO15
volatile ALT_SYSMGR_PINMUX_MIXED1IO16_t | MIXED1IO16
volatile ALT_SYSMGR_PINMUX_MIXED1IO17_t | MIXED1IO17
volatile ALT_SYSMGR_PINMUX_MIXED1IO18_t | MIXED1IO18
volatile ALT_SYSMGR_PINMUX_MIXED1IO19_t | MIXED1IO19
volatile ALT_SYSMGR_PINMUX_MIXED1IO20_t | MIXED1IO20
volatile ALT_SYSMGR_PINMUX_MIXED1IO21_t | MIXED1IO21
volatile ALT_SYSMGR_PINMUX_MIXED2IO0_t | MIXED2IO0
volatile ALT_SYSMGR_PINMUX_MIXED2IO1_t | MIXED2IO1
volatile ALT_SYSMGR_PINMUX_MIXED2IO2_t | MIXED2IO2
volatile ALT_SYSMGR_PINMUX_MIXED2IO3_t | MIXED2IO3
volatile ALT_SYSMGR_PINMUX_MIXED2IO4_t | MIXED2IO4
volatile ALT_SYSMGR_PINMUX_MIXED2IO5_t | MIXED2IO5
volatile ALT_SYSMGR_PINMUX_MIXED2IO6_t | MIXED2IO6
volatile ALT_SYSMGR_PINMUX_MIXED2IO7_t | MIXED2IO7
volatile ALT_SYSMGR_PINMUX_GPLINMUX48_t | GPLINMUX48
volatile ALT_SYSMGR_PINMUX_GPLINMUX49_t | GPLINMUX49
volatile ALT_SYSMGR_PINMUX_GPLINMUX50_t | GPLINMUX50
volatile ALT_SYSMGR_PINMUX_GPLINMUX51_t | GPLINMUX51
volatile ALT_SYSMGR_PINMUX_GPLINMUX52_t | GPLINMUX52
volatile ALT_SYSMGR_PINMUX_GPLINMUX53_t | GPLINMUX53
volatile ALT_SYSMGR_PINMUX_GPLINMUX54_t | GPLINMUX54
volatile ALT_SYSMGR_PINMUX_GPLINMUX55_t | GPLINMUX55
volatile ALT_SYSMGR_PINMUX_GPLINMUX56_t | GPLINMUX56
volatile ALT_SYSMGR_PINMUX_GPLINMUX57_t | GPLINMUX57
volatile ALT_SYSMGR_PINMUX_GPLINMUX58_t | GPLINMUX58
volatile ALT_SYSMGR_PINMUX_GPLINMUX59_t | GPLINMUX59
volatile ALT_SYSMGR_PINMUX_GPLINMUX60_t | GPLINMUX60
volatile ALT_SYSMGR_PINMUX_GPLINMUX61_t | GPLINMUX61
volatile ALT_SYSMGR_PINMUX_GPLINMUX62_t | GPLINMUX62
volatile ALT_SYSMGR_PINMUX_GPLINMUX63_t | GPLINMUX63
volatile ALT_SYSMGR_PINMUX_GPLINMUX64_t | GPLINMUX64
volatile ALT_SYSMGR_PINMUX_GPLINMUX65_t | GPLINMUX65
volatile ALT_SYSMGR_PINMUX_GPLINMUX66_t | GPLINMUX66
volatile ALT_SYSMGR_PINMUX_GPLINMUX67_t | GPLINMUX67
volatile ALT_SYSMGR_PINMUX_GPLINMUX68_t | GPLINMUX68
volatile ALT_SYSMGR_PINMUX_GPLINMUX69_t | GPLINMUX69
volatile ALT_SYSMGR_PINMUX_GPLINMUX70_t | GPLINMUX70
volatile ALT_SYSMGR_PINMUX_GPLMUX0_t | GPLMUX0
volatile ALT_SYSMGR_PINMUX_GPLMUX1_t | GPLMUX1
volatile ALT_SYSMGR_PINMUX_GPLMUX2_t | GPLMUX2
volatile ALT_SYSMGR_PINMUX_GPLMUX3_t | GPLMUX3
volatile ALT_SYSMGR_PINMUX_GPLMUX4_t | GPLMUX4
volatile ALT_SYSMGR_PINMUX_GPLMUX5_t | GPLMUX5
volatile ALT_SYSMGR_PINMUX_GPLMUX6_t | GPLMUX6
volatile ALT_SYSMGR_PINMUX_GPLMUX7_t | GPLMUX7
volatile ALT_SYSMGR_PINMUX_GPLMUX8_t | GPLMUX8
volatile ALT_SYSMGR_PINMUX_GPLMUX9_t | GPLMUX9
volatile ALT_SYSMGR_PINMUX_GPLMUX10_t | GPLMUX10
volatile ALT_SYSMGR_PINMUX_GPLMUX11_t | GPLMUX11
volatile ALT_SYSMGR_PINMUX_GPLMUX12_t | GPLMUX12
volatile ALT_SYSMGR_PINMUX_GPLMUX13_t | GPLMUX13
volatile ALT_SYSMGR_PINMUX_GPLMUX14_t | GPLMUX14
volatile ALT_SYSMGR_PINMUX_GPLMUX15_t | GPLMUX15
volatile ALT_SYSMGR_PINMUX_GPLMUX16_t | GPLMUX16
volatile ALT_SYSMGR_PINMUX_GPLMUX17_t | GPLMUX17
volatile ALT_SYSMGR_PINMUX_GPLMUX18_t | GPLMUX18
volatile ALT_SYSMGR_PINMUX_GPLMUX19_t | GPLMUX19
volatile ALT_SYSMGR_PINMUX_GPLMUX20_t | GPLMUX20
volatile ALT_SYSMGR_PINMUX_GPLMUX21_t | GPLMUX21
volatile ALT_SYSMGR_PINMUX_GPLMUX22_t | GPLMUX22
volatile ALT_SYSMGR_PINMUX_GPLMUX23_t | GPLMUX23
volatile ALT_SYSMGR_PINMUX_GPLMUX24_t | GPLMUX24
volatile ALT_SYSMGR_PINMUX_GPLMUX25_t | GPLMUX25
volatile ALT_SYSMGR_PINMUX_GPLMUX26_t | GPLMUX26
volatile ALT_SYSMGR_PINMUX_GPLMUX27_t | GPLMUX27
volatile ALT_SYSMGR_PINMUX_GPLMUX28_t | GPLMUX28
volatile ALT_SYSMGR_PINMUX_GPLMUX29_t | GPLMUX29
volatile ALT_SYSMGR_PINMUX_GPLMUX30_t | GPLMUX30
volatile ALT_SYSMGR_PINMUX_GPLMUX31_t | GPLMUX31
volatile ALT_SYSMGR_PINMUX_GPLMUX32_t | GPLMUX32
volatile ALT_SYSMGR_PINMUX_GPLMUX33_t | GPLMUX33
volatile ALT_SYSMGR_PINMUX_GPLMUX34_t | GPLMUX34
volatile ALT_SYSMGR_PINMUX_GPLMUX35_t | GPLMUX35
volatile ALT_SYSMGR_PINMUX_GPLMUX36_t | GPLMUX36
volatile ALT_SYSMGR_PINMUX_GPLMUX37_t | GPLMUX37
volatile ALT_SYSMGR_PINMUX_GPLMUX38_t | GPLMUX38
volatile ALT_SYSMGR_PINMUX_GPLMUX39_t | GPLMUX39
volatile ALT_SYSMGR_PINMUX_GPLMUX40_t | GPLMUX40
volatile ALT_SYSMGR_PINMUX_GPLMUX41_t | GPLMUX41
volatile ALT_SYSMGR_PINMUX_GPLMUX42_t | GPLMUX42
volatile ALT_SYSMGR_PINMUX_GPLMUX43_t | GPLMUX43
volatile ALT_SYSMGR_PINMUX_GPLMUX44_t | GPLMUX44
volatile ALT_SYSMGR_PINMUX_GPLMUX45_t | GPLMUX45
volatile ALT_SYSMGR_PINMUX_GPLMUX46_t | GPLMUX46
volatile ALT_SYSMGR_PINMUX_GPLMUX47_t | GPLMUX47
volatile ALT_SYSMGR_PINMUX_GPLMUX48_t | GPLMUX48
volatile ALT_SYSMGR_PINMUX_GPLMUX49_t | GPLMUX49
volatile ALT_SYSMGR_PINMUX_GPLMUX50_t | GPLMUX50
volatile ALT_SYSMGR_PINMUX_GPLMUX51_t | GPLMUX51
volatile ALT_SYSMGR_PINMUX_GPLMUX52_t | GPLMUX52
volatile ALT_SYSMGR_PINMUX_GPLMUX53_t | GPLMUX53
volatile ALT_SYSMGR_PINMUX_GPLMUX54_t | GPLMUX54
volatile ALT_SYSMGR_PINMUX_GPLMUX55_t | GPLMUX55
volatile ALT_SYSMGR_PINMUX_GPLMUX56_t | GPLMUX56
volatile ALT_SYSMGR_PINMUX_GPLMUX57_t | GPLMUX57
volatile ALT_SYSMGR_PINMUX_GPLMUX58_t | GPLMUX58
volatile ALT_SYSMGR_PINMUX_GPLMUX59_t | GPLMUX59
volatile ALT_SYSMGR_PINMUX_GPLMUX60_t | GPLMUX60
volatile ALT_SYSMGR_PINMUX_GPLMUX61_t | GPLMUX61
volatile ALT_SYSMGR_PINMUX_GPLMUX62_t | GPLMUX62
volatile ALT_SYSMGR_PINMUX_GPLMUX63_t | GPLMUX63
volatile ALT_SYSMGR_PINMUX_GPLMUX64_t | GPLMUX64
volatile ALT_SYSMGR_PINMUX_GPLMUX65_t | GPLMUX65
volatile ALT_SYSMGR_PINMUX_GPLMUX66_t | GPLMUX66
volatile ALT_SYSMGR_PINMUX_GPLMUX67_t | GPLMUX67
volatile ALT_SYSMGR_PINMUX_GPLMUX68_t | GPLMUX68
volatile ALT_SYSMGR_PINMUX_GPLMUX69_t | GPLMUX69
volatile ALT_SYSMGR_PINMUX_GPLMUX70_t | GPLMUX70
volatile ALT_SYSMGR_PINMUX_NANDUSEFPGA_t | NANDUSEFPGA
volatile uint32_t | _pad_0x2f4_0x2f7
volatile ALT_SYSMGR_PINMUX_RGMII1USEFPGA_t | RGMII1USEFPGA
volatile uint32_t | _pad_0x2fc_0x303 [2]
volatile ALT_SYSMGR_PINMUX_I2C0USEFPGA_t | I2C0USEFPGA
volatile uint32_t | _pad_0x308_0x313 [3]
volatile ALT_SYSMGR_PINMUX_RGMII0USEFPGA_t | RGMII0USEFPGA
volatile uint32_t | _pad_0x318_0x323 [3]
volatile ALT_SYSMGR_PINMUX_I2C3USEFPGA_t | I2C3USEFPGA
volatile ALT_SYSMGR_PINMUX_I2C2USEFPGA_t | I2C2USEFPGA
volatile ALT_SYSMGR_PINMUX_I2C1USEFPGA_t | I2C1USEFPGA
volatile ALT_SYSMGR_PINMUX_SPIM1USEFPGA_t | SPIM1USEFPGA
volatile uint32_t | _pad_0x334_0x337
volatile ALT_SYSMGR_PINMUX_SPIM0USEFPGA_t | SPIM0USEFPGA
volatile uint32_t | _pad_0x33c_0x400 [49]

The documentation for this struct was generated from the following file:

- bsps/arm/altera-cyclone-v/include/bsp/socal/alt_sysmgr.h